<template>
    <div>
        <div>
            <b-carousel v-if="carouselSlides.length > 0" id="home-carousel"
                controls
                indicators
                background="#ababab"
                :interval="4000"
                fade
            >
                <b-carousel-slide v-for="(slide, i) in carouselSlides" :key="slide.image_url"
                    :caption="slide.caption"
                    :text="slide.text"
                    :img-src="slide.image_url"
                    :img-alt="slide.caption || 'Imagen ' + (i + 1)"
                >
                </b-carousel-slide>
            </b-carousel>
        </div>

        <p class="mt-5 text-center">
            {{ companyDescription }}
        </p>
    </div>
</template>

<style lang="scss">
    @import './node_modules/bootstrap/scss/functions';
    @import './node_modules/bootstrap/scss/variables';
    @import './node_modules/bootstrap/scss/mixins';

    body {
        background-color: black;
    }
    footer, p {
        color: white;
    }
    footer {
        display: none;
        border-top: none;
    }
    .carousel img {
        object-fit: cover;
        object-position: 50% 100%;
        width: 100%;
        max-height: 185px;
        @include media-breakpoint-up(lg) {
            max-height: 390px;
        }
    }
</style>

<script>
    import { BCarousel, BCarouselSlide, BImg } from 'bootstrap-vue'

    export default {
        components: {
            'b-carousel': BCarousel,
            'b-carousel-slide': BCarouselSlide,
            'b-img': BImg
        },
        props: {
            carouselSlides: {
                type: Array,
                required: true
            },
            companyDescription: {
                type: String,
                required: true
            }
        }
    }
</script>
